package gauntlet;

public class Goal extends Item
{
    public Goal(Grid g, int x, int y, int z)
    {
        super(g,x,y,z);
        imageFile = "BlueHole.png";
    }

    public boolean canReceive(Item i)
    {
        return super.canReceive(i) && (i instanceof Ball);
    }

    public boolean receive(Item i)
    {
        if(i instanceof Ball)
        {
            g.set(i.x, i.y, i.z, null);
            g.balls--;
						i.removed = true;
            return true;
        }
        return false;
    }

    public String toString()
    {
        return "g";
    }
}
